<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Vengeance of Vampirella</Series>
  <Number>14</Number>
  <Web>https://www.comixology.com/Vengeance-of-Vampirella-14/digital-comic/903511</Web>
  <Summary>The mystery of Adam Van Helsing’s return intensifies, as Vampirella continues to struggle with the bestial side of her nature.  Mistress Nyx realizes that Vampirella isn’t the only enemy she should be concerned about.  And Lord Mazarin embraces his gift from the Lords of Chaos and the world slips that much closer towards oblivion.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB903511]</Notes>
  <Publisher>Dynamite Entertainment</Publisher>
  <Genre>Horror, Fantasy, Leading Ladies</Genre>
  <PageCount>30</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
